com.amazonaws.services.machinelearning.model

## Class UpdateBatchPredictionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.UpdateBatchPredictionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdateBatchPredictionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of an `UpdateBatchPrediction` operation.

You can see the updated content by using the `GetBatchPrediction` operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateBatchPredictionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateBatchPredictionResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getBatchPredictionId()` The ID assigned to the `BatchPrediction` during creation.
`int` `hashCode()`
`void` `setBatchPredictionId(String batchPredictionId)` The ID assigned to the `BatchPrediction` during creation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateBatchPredictionResult` `withBatchPredictionId(String batchPredictionId)` The ID assigned to the `BatchPrediction` during creation.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateBatchPredictionResult

    public UpdateBatchPredictionResult()

### Method Detail

#### setBatchPredictionId

    public void setBatchPredictionId(String batchPredictionId)

The ID assigned to the `BatchPrediction` during creation. This value should be identical to the value of the `BatchPredictionId` in the request.

Parameters:
  `batchPredictionId` - The ID assigned to the `BatchPrediction` during creation. This value should be identical to the value of the `BatchPredictionId` in the request.

#### getBatchPredictionId

    public String getBatchPredictionId()

The ID assigned to the `BatchPrediction` during creation. This value should be identical to the value of the `BatchPredictionId` in the request.

Returns:
  The ID assigned to the `BatchPrediction` during creation. This value should be identical to the value of the `BatchPredictionId` in the request.

#### withBatchPredictionId

    public UpdateBatchPredictionResult withBatchPredictionId(String batchPredictionId)

The ID assigned to the `BatchPrediction` during creation. This value should be identical to the value of the `BatchPredictionId` in the request.

Parameters:
  `batchPredictionId` - The ID assigned to the `BatchPrediction` during creation. This value should be identical to the value of the `BatchPredictionId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateBatchPredictionResult clone()

Overrides:
  `clone` in class `Object`